<!DOCTYPE html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="https://nvd3.org/assets/css/nv.d3.css" />
	<script src="static/js/d3.min.js"></script>
	<script src="static/js/nv.d3.js"></script>
	<script src="static/js/stream_layers.js"></script>

	<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
	<script src="static/js/bootstrap.js"></script>
	<script src="static/js/app.js"></script>
	
	<link rel="stylesheet" href="static/css/bootstrap.css" />
	<link rel="stylesheet" href="static/css/app.css" />
	<style>
	textarea {
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
	}
	input[type=text] {
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
	}
	</style>
</head>
<body>
{{ navBar|safe }}
<div style="position:relative;float:left;margin-left:10px;margin-bottom:10px;">
	<label for="basic-url">Text to Classify</label>
	<div class="input-group" style="margin-bottom:10px;margin-left:10px;">
	  <textarea type="text" class="form-control" id="basic-summary" style="border-radius: 5px;width:250px;height:150px;"></textarea>
	</div>
	<!--<div class="input-group" style="margin-bottom:10px;margin-left:10px;">
		<label for="possible-class-names">Text to Classify</label>
		<input type="text" class="form-control" id="possible-class-names" style="border-radius: 5px;"/>
	</div>-->
	<button class="btn btn-primary" id="computeSummary">Compute Summary</button>
	<div id="result">
		<h3>Summarized Result</h3>
		<table class="table-striped">
		<tbody>
		<tr><td><strong>Summary Length:</strong></td><td id="summaryLength" style="margin-left:10px;"></td></tr>
		<tr><td><strong>Summary:</strong></td><td id="summary" style="margin-left:10px;"></td></tr>
		</tbody>
		</table>
	</div>
</div>
<div style="position:relative;float:left;margin-left:20px;">
<h3>Percentage Reduced</h3>
<div id="graph2"><svg></svg></div>
</div>

</body>
</html>